Bug 1033967 (ShellCheck) - Review Request: ShellCheck - Tool for checking common errors in shell scripts
Summary: Review Request: ShellCheck - Tool for checking common errors in shell scripts
Keywords:
Status: CLOSED ERRATA
Alias: ShellCheck
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-24 21:06 UTC by Dridi Boukelmoune
Modified: 2013-12-15 03:32 UTC (History)
2 users (show)

Fixed In Version: ShellCheck-0.2.0-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-15 03:27:56 UTC
zbyszek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Dridi Boukelmoune 2013-11-24 21:06:02 UTC
Spec URL: https://bitbucket.org/dridi/fedora_packages/downloads/ShellCheck.spec
SRPM URL: https://bitbucket.org/dridi/fedora_packages/downloads/ShellCheck-0.2.0-1.fc19.src.rpm
Description:
The goals of ShellCheck are:

  - To point out and clarify typical beginner's syntax issues,
    that causes a shell to give cryptic error messages.

  - To point out and clarify typical intermediate level semantic problems,
    that causes a shell to behave strangely and counter-intuitively.

  - To point out subtle caveats, corner cases and pitfalls, that may cause an
    advanced user's otherwise working script to fail under future circumstances.

Fedora Account System Username: dridi

Successful builds from f18 to f21:
https://koji.fedoraproject.org/koji/taskinfo?taskID=6220156
https://koji.fedoraproject.org/koji/taskinfo?taskID=6220140
https://koji.fedoraproject.org/koji/taskinfo?taskID=6220101
https://koji.fedoraproject.org/koji/taskinfo?taskID=6220047

Comment 1 Dridi Boukelmoune 2013-11-30 11:42:51 UTC
I was waiting for a patch, it has landed :)

Spec URL: https://bitbucket.org/dridi/fedora_packages/downloads/ShellCheck.spec
SRPM URL: https://bitbucket.org/dridi/fedora_packages/downloads/ShellCheck-0.2.0-2.fc19.src.rpm

Comment 2 Zbigniew Jędrzejewski-Szmek 2013-12-02 05:41:42 UTC
Comments:

1. please mention *which* shell this program works with. Actually I think that "bash/sh script static analysis tool" shown by the program is more informative.

2. I think it would be better to have *one* doc directory, instead of:
/usr/share/doc/ShellCheck
/usr/share/doc/ShellCheck/LICENSE
/usr/share/doc/ShellCheck/README
/usr/share/doc/ghc-ShellCheck
/usr/share/doc/ghc-ShellCheck-devel
/usr/share/doc/ghc-ShellCheck-devel/README
/usr/share/doc/ghc-ShellCheck/LICENSE

with /usr/share/doc/ShellCheck/LICENSE co-owned by other packages if necessary.

3. http://www.shellcheck.net/about.html would be better as URL.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Static libraries in -static or -devel subpackage, providing -devel if
  present.
  Note: Package has .a files: ghc-ShellCheck-devel. Does not provide -static:
  ghc-ShellCheck-devel.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

OK according to https://fedoraproject.org/wiki/Packaging:Haskell#Shared_and_static_library_linking
- Large documentation must go in a -doc subpackage. Large could be size (~1MB)
  or number of files.
  Note: Documentation size is 1689600 bytes in 55 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

OK, documentation is in the -devel file.
===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
Haskell stuff.

[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* AGPL (v3 or later)", "Unknown or generated". 3 files have
     unknown license. Detailed output of licensecheck in /home/zbyszek/fedora
     /ShellCheck-ShellCheck/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/doc/ghc,
     /usr/share/doc/ghc/html/libraries, /usr/share/doc/ghc/html,
     /usr/lib64/ghc-7.6.3/package.conf.d
They seem to be owned by ghc-compiler, so everything is OK.

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
Not necessary.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ghc-
     ShellCheck
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
     See: (this test has no URL)
Some comments are different, it'll be fixed when package is uploaded.

[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 1740800 bytes in /usr/share
Seems to be standard practice for haskell.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).

Rpmlint
-------
Checking: ShellCheck-0.2.0-2.fc20.x86_64.rpm
          ghc-ShellCheck-0.2.0-2.fc20.x86_64.rpm
          ghc-ShellCheck-devel-0.2.0-2.fc20.x86_64.rpm
          ShellCheck-0.2.0-2.fc20.src.rpm
ShellCheck.x86_64: W: no-manual-page-for-binary shellcheck
Sad but true. Oh well.

ShellCheck.src:11: W: macro-in-comment %{name}
ShellCheck.src:11: W: macro-in-comment %{version}
ShellCheck.src:11: W: macro-in-comment %{name}
ShellCheck.src:11: W: macro-in-comment %{version}
Those could be removed.

4 packages and 0 specfiles checked; 0 errors, 5 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint ghc-ShellCheck-devel ShellCheck ghc-ShellCheck
ShellCheck.x86_64: W: no-manual-page-for-binary shellcheck
3 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
ghc-ShellCheck-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(ShellCheck-0.2.0-ef0a6053562ba901a3207f743fbffe0f)
    ghc-ShellCheck(x86-64)
    ghc-compiler
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc-devel(directory-1.2.0.1-91a788fd88acd7f149f0f10f5f1e23f2)
    ghc-devel(json-0.7-20b27ad418064c3cab367069129d9608)
    ghc-devel(mtl-2.1.2-82086cac9073862cbe01e44b81ec8b9b)
    ghc-devel(parsec-3.1.3-441f1388bc13de47c52a9ba8a23194f4)
    ghc-devel(regex-compat-0.95.1-121c7124a3abcea107e3885c2f37e0cf)

ShellCheck (rpmlib, GLIBC filtered):
    ghc(array-0.4.0.1-3b78425c10ff2dad7acf7e8c8ae014c3)
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc(deepseq-1.3.0.1-5cc4cd89bdc2e8f6db1833d95ec36926)
    ghc(directory-1.2.0.1-91a788fd88acd7f149f0f10f5f1e23f2)
    ghc(filepath-1.3.0.1-b12cbe18566fe1532a1fda4c85e31cbe)
    ghc(ghc-prim-0.3.0.0-d5221a8c8a269b66ab9a07bdc23317dd)
    ghc(integer-gmp-0.5.0.0-2f15426f5b53fe4c6490832f9b20d8d7)
    ghc(json-0.7-20b27ad418064c3cab367069129d9608)
    ghc(mtl-2.1.2-82086cac9073862cbe01e44b81ec8b9b)
    ghc(old-locale-1.0.0.5-6729cb9d9cc62d150655de8fc5401b91)
    ghc(parsec-3.1.3-441f1388bc13de47c52a9ba8a23194f4)
    ghc(pretty-1.1.1.0-66181c695e6a2e173ba2088cf55cc396)
    ghc(regex-base-0.93.2-f9403610b59f8cc474edd63a82806d18)
    ghc(regex-compat-0.95.1-121c7124a3abcea107e3885c2f37e0cf)
    ghc(regex-posix-0.95.2-a7e936989950443fee47233b57a6ae5f)
    ghc(syb-0.4.0-c48d52f3188b986ddaa9dd9ae40072f8)
    ghc(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc(time-1.4.0.1-10dc4804a19dc0000fab79908f1a9f50)
    ghc(transformers-0.3.0.0-387c76a892254b0b8fe4d66f4780ad17)
    ghc(unix-2.6.0.1-4f219f792083f70ec440ce406f12ce57)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSdirectory-1.2.0.1-ghc7.6.3.so()(64bit)
    libHSfilepath-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSjson-0.7-ghc7.6.3.so()(64bit)
    libHSmtl-2.1.2-ghc7.6.3.so()(64bit)
    libHSold-locale-1.0.0.5-ghc7.6.3.so()(64bit)
    libHSparsec-3.1.3-ghc7.6.3.so()(64bit)
    libHSpretty-1.1.1.0-ghc7.6.3.so()(64bit)
    libHSregex-base-0.93.2-ghc7.6.3.so()(64bit)
    libHSregex-compat-0.95.1-ghc7.6.3.so()(64bit)
    libHSregex-posix-0.95.2-ghc7.6.3.so()(64bit)
    libHSrts-ghc7.6.3.so()(64bit)
    libHSsyb-0.4.0-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStime-1.4.0.1-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSunix-2.6.0.1-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libffi.so.6()(64bit)
    libgmp.so.10()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)

ghc-ShellCheck (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(containers-0.5.0.0-ab1dae9a94cd3cc84e7b2805636ebfa2)
    ghc(directory-1.2.0.1-91a788fd88acd7f149f0f10f5f1e23f2)
    ghc(json-0.7-20b27ad418064c3cab367069129d9608)
    ghc(mtl-2.1.2-82086cac9073862cbe01e44b81ec8b9b)
    ghc(parsec-3.1.3-441f1388bc13de47c52a9ba8a23194f4)
    ghc(regex-compat-0.95.1-121c7124a3abcea107e3885c2f37e0cf)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSdirectory-1.2.0.1-ghc7.6.3.so()(64bit)
    libHSfilepath-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSjson-0.7-ghc7.6.3.so()(64bit)
    libHSmtl-2.1.2-ghc7.6.3.so()(64bit)
    libHSold-locale-1.0.0.5-ghc7.6.3.so()(64bit)
    libHSparsec-3.1.3-ghc7.6.3.so()(64bit)
    libHSpretty-1.1.1.0-ghc7.6.3.so()(64bit)
    libHSregex-base-0.93.2-ghc7.6.3.so()(64bit)
    libHSregex-compat-0.95.1-ghc7.6.3.so()(64bit)
    libHSregex-posix-0.95.2-ghc7.6.3.so()(64bit)
    libHSsyb-0.4.0-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStime-1.4.0.1-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSunix-2.6.0.1-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgmp.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
ghc-ShellCheck-devel:
    ghc-ShellCheck-devel
    ghc-ShellCheck-devel(x86-64)
    ghc-ShellCheck-static
    ghc-devel(ShellCheck-0.2.0-ef0a6053562ba901a3207f743fbffe0f)

ShellCheck:
    ShellCheck
    ShellCheck(x86-64)

ghc-ShellCheck:
    ghc(ShellCheck-0.2.0-ef0a6053562ba901a3207f743fbffe0f)
    ghc-ShellCheck
    ghc-ShellCheck(x86-64)
    libHSShellCheck-0.2.0-ghc7.6.3.so()(64bit)



Diff spec file in url and in SRPM
---------------------------------
--- /home/zbyszek/fedora/ShellCheck-ShellCheck/srpm/ShellCheck.spec	2013-12-01 23:39:12.544446523 -0500
+++ /home/zbyszek/fedora/ShellCheck-ShellCheck/srpm-unpacked/ShellCheck.spec	2013-11-30 04:12:16.000000000 -0500
@@ -8,7 +8,8 @@
 License:          AGPLv3+
 URL:              http://www.shellcheck.net
+# not available yet at this url
+#Source0:          http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
 Source0:          https://github.com/koalaman/shellcheck/archive/v%{version}.tar.gz
 
-# https://github.com/koalaman/shellcheck/issues/44
 Patch0:           https://github.com/koalaman/shellcheck/commit/d4bc0f6.diff
 


Unversioned so-files
--------------------
ghc-ShellCheck: /usr/lib64/ghc-7.6.3/ShellCheck-0.2.0/libHSShellCheck-0.2.0-ghc7.6.3.so

Source checksums
----------------
https://github.com/koalaman/shellcheck/archive/v0.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : 1fa24a242d669ef68a0561ddaac87448965edf4daef49f916b3ad41e353cc3e0
  CHECKSUM(SHA256) upstream package : 1fa24a242d669ef68a0561ddaac87448965edf4daef49f916b3ad41e353cc3e0


Package is APPROVED.

Please consider fixing minor issues noted at the top.

Comment 3 Dridi Boukelmoune 2013-12-03 22:14:41 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> Comments:
> 
> 1. please mention *which* shell this program works with. Actually I think
> that "bash/sh script static analysis tool" shown by the program is more
> informative.

New summary: Tool for checking common errors in POSIX shell scripts

It can also give you warnings when you use bash-isms with a #!/bin/sh shebang for instance.

> 2. I think it would be better to have *one* doc directory, instead of:
> /usr/share/doc/ShellCheck
> /usr/share/doc/ShellCheck/LICENSE
> /usr/share/doc/ShellCheck/README
> /usr/share/doc/ghc-ShellCheck
> /usr/share/doc/ghc-ShellCheck-devel
> /usr/share/doc/ghc-ShellCheck-devel/README
> /usr/share/doc/ghc-ShellCheck/LICENSE

I didn't touch this part which was generated by cabal-rpm.

> with /usr/share/doc/ShellCheck/LICENSE co-owned by other packages if
> necessary.

Done.

> 3. http://www.shellcheck.net/about.html would be better as URL.

Done.

> Package Review
> ==============
[snip]
> ===== EXTRA items =====
> 
> Generic:
> [!]: Spec file according to URL is the same as in SRPM.
>      Note: Spec file as given by url is not the same as in SRPM (see attached
>      diff).
>      See: (this test has no URL)
> Some comments are different, it'll be fixed when package is uploaded.

This is embarrassing :s

[snip]
> Rpmlint
> -------
> Checking: ShellCheck-0.2.0-2.fc20.x86_64.rpm
>           ghc-ShellCheck-0.2.0-2.fc20.x86_64.rpm
>           ghc-ShellCheck-devel-0.2.0-2.fc20.x86_64.rpm
>           ShellCheck-0.2.0-2.fc20.src.rpm
> ShellCheck.x86_64: W: no-manual-page-for-binary shellcheck
> Sad but true. Oh well.

From the beginning I intended to ask upstream for a man page and help with the tooling if needed. I expect the man page to appear in a future update :)

> ShellCheck.src:11: W: macro-in-comment %{name}
> ShellCheck.src:11: W: macro-in-comment %{version}
> ShellCheck.src:11: W: macro-in-comment %{name}
> ShellCheck.src:11: W: macro-in-comment %{version}
> Those could be removed.

This was already irrelevant, wrong spec uploaded :s

[snip]
> Package is APPROVED.
> 
> Please consider fixing minor issues noted at the top.

Thank you for the review, I have uploaded the new spec and srpm.

Spec URL: https://bitbucket.org/dridi/fedora_packages/downloads/ShellCheck.spec
SRPM URL: https://bitbucket.org/dridi/fedora_packages/downloads/ShellCheck-0.2.0-3.fc19.src.rpm

Comment 4 Zbigniew Jędrzejewski-Szmek 2013-12-04 00:57:23 UTC
Everything looks OK.

Comment 5 Dridi Boukelmoune 2013-12-04 07:11:18 UTC
New Package SCM Request
=======================
Package Name: ShellCheck
Short Description: Tool for checking common errors in POSIX shell scripts
Owners: dridi
Branches: f19 f20
InitialCC:

Comment 6 Gwyn Ciesla 2013-12-04 13:41:45 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2013-12-04 23:06:05 UTC
ShellCheck-0.2.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ShellCheck-0.2.0-3.fc19

Comment 8 Fedora Update System 2013-12-04 23:23:24 UTC
ShellCheck-0.2.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ShellCheck-0.2.0-3.fc20

Comment 9 Fedora Update System 2013-12-05 00:39:25 UTC
ShellCheck-0.2.0-3.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2013-12-15 03:27:56 UTC
ShellCheck-0.2.0-3.fc19 has been pushed to the Fedora 19 stable repository.

Comment 11 Fedora Update System 2013-12-15 03:32:28 UTC
ShellCheck-0.2.0-3.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.